#!/bin/bash
# Autor: Vitalinux DGA
[ -f /etc/default/vx-dga-variables/vx-dga-variables-general.conf ] && \
. /etc/default/vx-dga-variables/vx-dga-variables-general.conf

USUARIO=$(vx-usuario-grafico)
if ! nc -z "${IPCACHE}" 2049 -w5 >/dev/null 2>&1; then
	{
		echo -e "\nListado de Recursos Compartidos por el Caché de tu Centro:<b><tt><span foreground='blue'>"
		echo -e "No se puede alcanzar al Servidor Cache!"
		echo "IP del Servidor Caché configurado: $IPCACHE"
		echo -e "</span></tt></b>"
	} >"/tmp/listado-recursos-nfs.${USUARIO}"
elif [[ $(showmount -e "${IPCACHE}" | grep -v "Export list" | wc -l) -ge 1 ]]; then
	{
		echo -e "\nListado de Recursos Compartidos por el Caché de tu Centro:\n<b><tt><span foreground='blue'>"
		showmount -e "${IPCACHE}" | grep -v "Export list"
		echo -e "</span></tt></b>"
		echo -e "\nDe los recursos compartidos anteriores estan accesibles en este momento:"
		echo -e "<b><tt><span foreground='blue'>"
		grep "^$IPCACHE" /proc/mounts | cut -d" " -f1,2 | awk -F" " '{print $1 " -> " $2}'
		echo -e "</span></tt></b>"
	} >"/tmp/listado-recursos-nfs.${USUARIO}"
else
	{
		echo -e "\nListado de Recursos Compartidos por el Caché de tu Centro:<b><tt><span foreground='blue'>"
		echo -e "¡¡Problemas!! No se detectan Recursos Compartidos ..."
		echo "IP del Servidor Caché configurado: $IPCACHE"
		echo -e "</span></tt></b>"
	} >"/tmp/listado-recursos-nfs.${USUARIO}"
fi

if systemctl status vx-nfs-cliente >/dev/null 2>&1; then
	yad --center --title "Estado del Servicio NFS" \
		--width 660 \
		--image nfs-servicio \
		--window-icon vitalinux \
		--text "El <b>Servicio de Carpetas Compartidas</b> esta <b>Activo</b> ... \n $(cat /tmp/listado-recursos-nfs.${USUARIO})" \
		--text-align center \
		--button="Cerrar Ventana":0
else
	if yad --center --title "Estado del Servicio NFS" \
		--image nfs-servicio \
		--width 660 \
		--text-align center \
		--window-icon vitalinux \
		--text "El Servicio de Carpetas Compartidas <b>no esta activo</b>. \n $(cat /tmp/listado-recursos-nfs.${USUARIO}) \n <b>¿Quieres activar el Servicio?</b>" \
		--button="Activar Servicio":0 --button="Dejarlo Desactivado":1; then
			sudo systemctl start vx-nfs-cliente
	fi
fi
