#!/bin/bash
# Autor: Vitalinux DGA
# Desmonta los recursos compartidos por el servidor caché
# Recibe como parámetro el listado de recursos compartidos por el servidor caché

[ -f /etc/default/vx-dga-variables/vx-dga-variables-general.conf ] && \
. /etc/default/vx-dga-variables/vx-dga-variables-general.conf

RECURSOSDESMONTAR="$1"
homeusugrafico="$2"
HOME="${homeusugrafico}"
variables_user_dirs="$(vx-home-usuario-grafico)/.config/user-dirs.dirs"

[ -f "${variables_user_dirs}" ] && . ${variables_user_dirs}

jq -c '.nfs_recursos.lista[] '<<< "$RECURSOSDESMONTAR" | while read -r RECURSO; do
    MONTAJE=$(jq -r '.puntomontaje' <<< "$RECURSO")
    LINKCOMPATIBILIDAD=$(jq -r '.link_compatibilidad' <<< "$RECURSO")
    # Borramos desktop launcher si existe (herencia antigua)
    desktopname="${XDG_DESKTOP_DIR}/$(systemd-escape -p ${MONTAJE}).desktop"
    [ -f "${desktopname}" ] && rm -f "${desktopname}"
    
    # Chequeamos que el recurso está montado, asociado a nfs y a nuestro servidor caché
    ! ( grep "^${IPCACHE}.* nfs .*" /proc/mounts | grep "${MONTAJE}" > /dev/null 2>&1 ) && continue
    echo "Desmontando el recurso: ${MONTAJE}...."
    if umount -lf "${MONTAJE}" ; then
        [ -z "$(ls -A "${MONTAJE}" )" ] && rmdir --ignore-fail-on-non-empty "${MONTAJE}"
        echo "Desmontado de forma correcta: $MONTAJE"
    else
        echo "Error desmontado: $MONTAJE"
    fi
    [ "${link_old}" != "null" ] && [ "${LINKCOMPATIBILIDAD}" != "" ] && [ -L "${LINKCOMPATIBILIDAD}" ] && rm -f "${LINKCOMPATIBILIDAD}" && echo "Borrado link compatibilidad ${LINKCOMPATIBILIDAD}"
done
